<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

/*!                  rutina letras.
  @function num2letras () 
  @abstract Dado un n?mero lo devuelve escrito. 
  @param $num number - N?mero a convertir. 
  @param $fem bool - Forma femenina (true) o no (false). 
  @param $dec bool - Con decimales (true) o no (false). 
  @result string - Devuelve el n?mero escrito en letra. 

*/ 
function num2letras($num, $fem = true, $dec = true) { 
//if (strlen($num) > 14) die("El n?mero introducido es demasiado grande"); 
   $matuni[2]  = "dos"; 
   $matuni[3]  = "tres"; 
   $matuni[4]  = "cuatro"; 
   $matuni[5]  = "cinco"; 
   $matuni[6]  = "seis"; 
   $matuni[7]  = "siete"; 
   $matuni[8]  = "ocho"; 
   $matuni[9]  = "nueve"; 
   $matuni[10] = "diez"; 
   $matuni[11] = "once"; 
   $matuni[12] = "doce"; 
   $matuni[13] = "trece"; 
   $matuni[14] = "catorce"; 
   $matuni[15] = "quince"; 
   $matuni[16] = "dieciseis"; 
   $matuni[17] = "diecisiete"; 
   $matuni[18] = "dieciocho"; 
   $matuni[19] = "diecinueve"; 
   $matuni[20] = "veinte"; 
   $matunisub[2] = "dos"; 
   $matunisub[3] = "tres"; 
   $matunisub[4] = "cuatro"; 
   $matunisub[5] = "quin"; 
   $matunisub[6] = "seis"; 
   $matunisub[7] = "sete"; 
   $matunisub[8] = "ocho"; 
   $matunisub[9] = "nove"; 

   $matdec[2] = "veint"; 
   $matdec[3] = "treinta"; 
   $matdec[4] = "cuarenta"; 
   $matdec[5] = "cincuenta"; 
   $matdec[6] = "sesenta"; 
   $matdec[7] = "setenta"; 
   $matdec[8] = "ochenta"; 
   $matdec[9] = "noventa"; 
   $matsub[3]  = 'mill'; 
   $matsub[5]  = 'bill'; 
   $matsub[7]  = 'mill'; 
   $matsub[9]  = 'trill'; 
   $matsub[11] = 'mill'; 
   $matsub[13] = 'bill'; 
   $matsub[15] = 'mill'; 
   $matmil[4]  = 'millones'; 
   $matmil[6]  = 'billones'; 
   $matmil[7]  = 'de billones'; 
   $matmil[8]  = 'millones de billones'; 
   $matmil[10] = 'trillones'; 
   $matmil[11] = 'de trillones'; 
   $matmil[12] = 'millones de trillones'; 
   $matmil[13] = 'de trillones'; 
   $matmil[14] = 'billones de trillones'; 
   $matmil[15] = 'de billones de trillones'; 
   $matmil[16] = 'millones de billones de trillones'; 

   $num = trim((string)@$num); 
   if ($num[0] == '-') { 
      $neg = 'menos '; 
      $num = substr($num, 1); 
   }else 
      $neg = ''; 
   while ($num[0] == '0') $num = substr($num, 1); 
   if ($num[0] < '1' or $num[0] > 9) $num = '0' . $num; 
   $zeros = true; 
   $punt = false; 
   $ent = ''; 
   $fra = ''; 
   for ($c = 0; $c < strlen($num); $c++) { 
      $n = $num[$c]; 
      if (! (strpos(".,'''", $n) === false)) { 
         if ($punt) break; 
         else{ 
            $punt = true; 
            continue; 
         } 

      }elseif (! (strpos('0123456789', $n) === false)) { 
         if ($punt) { 
            if ($n != '0') $zeros = false; 
            $fra .= $n; 
         }else 

            $ent .= $n; 
      }else 

         break; 

   } 
   $ent = '     ' . $ent; 
   if ($dec and $fra and ! $zeros) { 
      $fin = ' coma'; 
      for ($n = 0; $n < strlen($fra); $n++) { 
         if (($s = $fra[$n]) == '0') 
            $fin .= ' cero'; 
         elseif ($s == '1') 
            $fin .= $fem ? ' una' : ' un'; 
         else 
            $fin .= ' ' . $matuni[$s]; 
      } 
   }else 
      $fin = ''; 
   if ((int)$ent === 0) return 'Cero ' . $fin; 
   $tex = ''; 
   $sub = 0; 
   $mils = 0; 
   $neutro = false; 
   while ( ($num = substr($ent, -3)) != '   ') { 
      $ent = substr($ent, 0, -3); 
      if (++$sub < 3 and $fem) { 
         $matuni[1] = 'una'; 
         $subcent = 'os'; 
      }else{ 
         $matuni[1] = $neutro ? 'un' : 'uno'; 
         $subcent = 'os'; 
      } 
      $t = ''; 
      $n2 = substr($num, 1); 
      if ($n2 == '00') { 
      }elseif ($n2 < 21) 
         $t = ' ' . $matuni[(int)$n2]; 
      elseif ($n2 < 30) { 
         $n3 = $num[2]; 
         if ($n3 != 0) $t = 'i' . $matuni[$n3]; 
         $n2 = $num[1]; 
         $t = ' ' . $matdec[$n2] . $t; 
      }else{ 
         $n3 = $num[2]; 
         if ($n3 != 0) $t = ' y ' . $matuni[$n3]; 
         $n2 = $num[1]; 
         $t = ' ' . $matdec[$n2] . $t; 
      } 
      $n = $num[0]; 
      if ($n == 1) { 
         $t = ' ciento' . $t; 
      }elseif ($n == 5){ 
         $t = ' ' . $matunisub[$n] . 'ient' . $subcent . $t; 
      }elseif ($n != 0){ 
         $t = ' ' . $matunisub[$n] . 'cient' . $subcent . $t; 
      } 
      if ($sub == 1) { 
      }elseif (! isset($matsub[$sub])) { 
         if ($num == 1) { 
            $t = ' mil'; 
         }elseif ($num > 1){ 
            $t .= ' mil'; 
         } 
      }elseif ($num == 1) { 
         $t .= ' ' . $matsub[$sub] . '?n'; 
      }elseif ($num > 1){ 
         $t .= ' ' . $matsub[$sub] . 'ones'; 
      }   
      if ($num == '000') $mils ++; 
      elseif ($mils != 0) { 
         if (isset($matmil[$sub])) $t .= ' ' . $matmil[$sub]; 
         $mils = 0; 
      } 
      $neutro = true; 
      $tex = $t . $tex; 
   } 
   $tex = $neg . substr($tex, 1) . $fin; 
   return ucfirst($tex); 
} 

// ***************  fin rutina letras *******************
		
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");

?>

<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Facturar Nota Venta Lote</title>
</head>

<style type="text/css">
<!--
.Estilo18 {font-family:"Courier New", Courier, monospace; font-size: 14px; }
.Estilo19 {font-family:"Courier New", Courier, monospace; font-size: 14px; }
.saltopagina {
page-break-after: always;
}
-->
</style>
<body onLoad="fun_mail();">
<?
$notas=0;
$numero_notas=$_POST["cant"];  // ********* cantidad total notas 
 
while ($notas<$numero_notas)     // ciclo por todas 
  {
 
if ($sel[$notas]=='True')
  {
  
//********************* Sacar Datos Nota Venta ******************************************/		
$sql_nv = "SELECT * FROM salida WHERE id = $id_nota[$notas]";
$res_nv= mysql_query($sql_nv,$enlace);
$nv_cont = 0;
$sqlnv_ivar='';
$txtnumoc='';
while ( mysql_fetch_object($res_nv))
	{
	$id_nota_venta=mysql_result($res_nv, $nv_cont, "id");
	$sqlnv_id_sucursal=mysql_result($res_nv, $nv_cont, "id_sucursal");
	$sqlnv_fecha=mysql_result($res_nv, $nv_cont, "fecha_emision");
	$sqlnv_fecha_ve=mysql_result($res_nv, $nv_cont, "fecha_vencimiento");
	$sqlnv_rut=mysql_result($res_nv, $nv_cont, "rut_cliente");
	$sqlnv_td=mysql_result($res_nv, $nv_cont, "tipo_dcto");
	$sqlnv_nv=mysql_result($res_nv, $nv_cont, "num_dcto");
	$lstpago=mysql_result($res_nv, $nv_cont, "tipo_pago");
	$id_vendedor=mysql_result($res_nv, $nv_cont, "vendedor");
	$id_bodega=mysql_result($res_nv, $nv_cont, "bodega");
	$id_zona=mysql_result($res_nv, $nv_cont, "zona");
	$neto=mysql_result($res_nv, $nv_cont, "neto");
	$iva=mysql_result($res_nv, $nv_cont, "iva");
	$total=mysql_result($res_nv, $nv_cont, "total");
	$sqlnv_ivar=mysql_result($res_nv, $nv_cont, "iva_retenido");
	$nv_cont += 1;
	}
	$sqlnv_descuento=0;
	$observaciones='Guia '.$sqlnv_nv;
	$res_ven = mysql_query("SELECT * FROM vendedor WHERE id=$id_vendedor",$enlace);
	if(mysql_fetch_object($res_ven)) $vendedor = mysql_result($res_ven, 0, "nombres");
    $res_ven = mysql_query("SELECT * FROM tipo_pago WHERE id=$lstpago",$enlace);
	if(mysql_fetch_object($res_ven)) $pago = mysql_result($res_ven, 0, "descripcion");
	$res_ven = mysql_query("SELECT * FROM zona WHERE id=$id_zona",$enlace);
	if(mysql_fetch_object($res_ven)) $txtzona = mysql_result($res_ven, 0, "descripcion");
	$res_ven = mysql_query("SELECT * FROM bodega WHERE id=$id_bodega",$enlace);
	if(mysql_fetch_object($res_ven)) $txtbodega = mysql_result($res_ven, 0, "descripcion");
	
	$res_cli = mysql_query("SELECT * FROM sucursales, nombres WHERE nombres.rut=sucursales.rut AND id=$sqlnv_id_sucursal",$enlace);
	if(mysql_fetch_object($res_cli)) 
		{
		$id_sucursal = mysql_result($res_cli, 0, "sucursales.id");
		$sucursal = mysql_result($res_cli, 0, "sucursales.sucursal");
		$txtrut = mysql_result($res_cli, 0, "sucursales.rut");
		$txtrsoc = mysql_result($res_cli, 0, "sucursales.razon_social");
		$txtactividad = mysql_result($res_cli, 0, "sucursales.rubro_giro");
		
		$id_region = mysql_result($res_cli, 0, "sucursales.region");
		$id_comuna = mysql_result($res_cli, 0, "sucursales.comuna");
		$txtciudad = mysql_result($res_cli, 0, "sucursales.ciudad");
		$txtdireccion = mysql_result($res_cli, 0, "sucursales.direccion");
		$txtmontocredito = mysql_result($res_cli, 0, "monto_credito");
		$txtdias_plazo = mysql_result($res_cli, 0, "nombres.dias_plazo");
		}
		$res_ven = mysql_query("SELECT * FROM comunas WHERE cod_comuna=$id_comuna",$enlace);
	    if(mysql_fetch_object($res_ven)) $comuna = mysql_result($res_ven, 0, "comuna");
	 $hora = date('H:i:s');
	$unixtime = time();
		$settime = $unixtime;
		$diaa = date("d",$settime);
		$mes = date("m",$settime);
		$anoa = date("Y",$settime); 
		$fecha= "$diaa/$mes/$anoa";    //  hoy
		$fecha_emision ="$anoa/$mes/$diaa"; 
	if ($mes=='01') $mesa='Enero';
    if ($mes=='02') $mesa='Febrero';
    if ($mes=='03') $mesa='Marzo';
    if ($mes=='04') $mesa='Abril';
    if ($mes=='05') $mesa='Mayo';
    if ($mes=='06') $mesa='Junio';
    if ($mes=='07') $mesa='Julio';
    if ($mes=='08') $mesa='Agosto';
    if ($mes=='09') $mesa='Septiembre';
    if ($mes=='10') $mesa='Octubre';
    if ($mes=='11') $mesa='Noviembre';
    if ($mes=='12') $mesa='Diciembre';
		
	  $unixtime = time();
		$settime = $unixtime  + ( 86400* $txtdias_plazo);
		$dia = date("d",$settime);
		$mes = date("m",$settime);
		$ano = date("Y",$settime); 
	
	$fecha_ve = "$dia/$mes/$ano";	// plazo
    $fecha_vence ="$ano/$mes/$dia"; 
//********************************* Sacar numero factura *********************************************/
	$sql_ultima_bol = "SELECT * FROM tipo_dcto WHERE descripcion = 'FACTURA' AND empresa = $id_empresa";
	$res_ultima_bol = mysql_query($sql_ultima_bol,$enlace);
	$sql_num_bol=0;
	if(mysql_fetch_object($res_ultima_bol))	$sql_num_bol = mysql_result($res_ultima_bol,0 ,"correlativo");
	$sql_num_factura = $sql_num_bol + 1;
 
 // **** grabo correlativo factura.
    $up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $sql_num_factura WHERE id_dcto = 2 AND id_bodega=$id_bodega AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);
	
 // **** grabo  factura.
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, neto, iva, total, productos, iva_retenido, documento_control, usuario, bodega, vendedor, zona, id_sucursal, hora, orden_compra, observacion) 
	VALUES ($id_empresa, '$txtrut', $sql_num_factura, 2, '$fecha_emision', '$fecha_vence', $lstpago, $neto, $iva, $total, 1, 0, $id_nota_venta, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal,'$hora', '$txtnumoc', '$observaciones')";
	
	$consulta = mysql_query($wsql,$enlace);
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	
	$ssql = "UPDATE salida SET documento_control = $sultimo_id WHERE  id=$id_nota_venta";
	$consulta = mysql_query($ssql,$enlace);

	if ($lstpago==3)
		{
		
		$des = 'FACTURA '.$sql_num_factura;
		$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
		VALUES ($id_empresa, '$txtrut', $sultimo_id, '$fecha_emision', '$des', $total, 'C', $id_user, $id_sucursal)";
		$con = mysql_query($csql,$enlace);
		}
	
//*****  fin graba cabeza.	
	
		
//*************  movimiento de productos para facturar 

$sql_pnv = "SELECT * FROM movimiento WHERE id_soe=$id_nota_venta";
$res_pnv= mysql_query($sql_pnv,$enlace);
$pnv_cont = 0;
$descuentos=0;
$txtsubtotal=0;
$totalkilos=0;
$totalunidades=0;
while ( mysql_fetch_object($res_pnv))
	{
	$cod_producto[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "cod_producto");
	$cantidad[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "cantidad");
	$precio[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "precio_unitario");
	$descuento[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "descuentos");
	$descuentos+=$descuento[$pnv_cont];
	$ltotal[$pnv_cont]=$precio[$pnv_cont]*$cantidad[$pnv_cont];
	$txtsubtotal+=$ltotal[$pnv_cont];
	$sql_pro = "SELECT * FROM productos WHERE codigo=$cod_producto[$pnv_cont]";
    $res_pro= mysql_query($sql_pro,$enlace);
    $detalle[$pnv_cont]=mysql_result($res_pro, 0, "descripcion");
	$kilos=mysql_result($res_pro, 0, "peso");
	$totalkilos+=$kilos*$cantidad[$pnv_cont];
	$totalunidades+=$cantidad[$pnv_cont];	
   //********** grabo movimiento ******
     $psql = "INSERT INTO movimiento (empresa, bodega, entrada_salida_traspaso, fecha, cod_producto, cantidad,   precio_unitario, rut, numero_dcto, tipo_dcto, descuentos, id_soe) 
				VALUES ($id_empresa, $id_bodega, 'S', '$fecha_emision', $cod_producto[$pnv_cont], $cantidad[$pnv_cont], $precio[$pnv_cont], '$txtrut', $sql_num_factura, 2, $descuento[$pnv_cont], $sultimo_id)";
				$conx = mysql_query($psql,$enlace);
	$pnv_cont+=1;
	}

//=============  fin guardar

//============= imprimir
/******************   total en letras   **********************************************/
$letotal = num2letras($total); 
$atxt = split(' ',$letotal); 
strlen($atxt[0]);
$letot1 = strlen($atxt[0]);
$cont=0;
for ($i=0;$i<100;$i++)
	{
	$cont+=strlen($atxt[$i]);
	$cont+=1;
	if ($cont>=70)
		{
		$cont-=strlen($atxt[$i]);
		$cont-=1;
		$i=100;
		}
	}
$letot1 = substr ($letotal, 0, $cont);
$letot2 = substr ($letotal, $cont, strlen($letotal));
$letot1=strtoupper($letot1);
$letot2=strtoupper($letot2);
/*******************************************total obs**************************************************************/



$atxt2 = split(' ',$observaciones); 
strlen($atxt2[0]);
$obs1 = strlen($atxt2[0]);
$cont2=0;
for ($i2=0;$i2<100;$i2++)
	{
	$cont2+=strlen($atxt2[$i2]);
	$cont2+=1;
	if ($cont2>=60)
		{
		$cont2-=strlen($atxt2[$i2]);
		$cont2-=1;
		$i2=100;
		}
	}
$obs1 = substr ($observaciones, 0, $cont2);
$obs2 = substr ($observaciones, $cont2, strlen($observaciones));




if ($letot2!='')$letot2.=" pesos";
else $letot1.=" pesos";
?>



<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr height="24px">
	<td width="390px" align="left">&nbsp;</td>
	<td width="34px" align="center">&nbsp;<?=$diaa?>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td width="17px">&nbsp;</td>
	<td width="153px" align="center">&nbsp;<?=$mesa?></td>
	<td width="17px">&nbsp;</td>
	<td width="89px" align="center">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$anoa?></td>
  </tr>
</table>
<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr height="8px" style="font-size:8px"><td width="100%" style="font-size:8px">&nbsp;</td></tr>
    <tr height="8px" style="font-size:8px"><td width="100%" style="font-size:8px">&nbsp;</td></tr>

</table>
<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr height="17px">
		<td width="60px" align="left" class="Estilo19">&nbsp;</td>
		<td width="424px" align="left" class="Estilo19">&nbsp;&nbsp;<?=$txtrsoc;?></td>
		<td width="40px" class="Estilo19">&nbsp;</td>
		<td width="176px" align="left" class="Estilo19">&nbsp;&nbsp;&nbsp;<?=$txtrut;?></td>
		</tr>
	<tr height="17px">
		<td align="left" class="Estilo19">&nbsp;</td>
		<td align="left" class="Estilo19">&nbsp;&nbsp;<?=$txtdireccion;?></td>
		<td class="Estilo19">&nbsp;</td>
		<td align="left" class="Estilo19">&nbsp;&nbsp;&nbsp;<?=$txtciudad;?></td>
		</tr>
	<tr height="17px">
		<td class="Estilo19">&nbsp;</td>
		<td class="Estilo19" align="left">&nbsp;&nbsp;<?=$txtactividad;?></td>
		<td class="Estilo19">&nbsp;</td>
		<td class="Estilo19" align="left">&nbsp;&nbsp;&nbsp;<?=$comuna;?></td>
	</tr>
	<tr height="17px">
		<td class="Estilo19">&nbsp;</td>
		<td class="Estilo19" align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$pago;?></td>
		<td class="Estilo19">&nbsp;</td>
		<td class="Estilo19" align="left">&nbsp;&nbsp;&nbsp;<?=$fecha_ve;?></td>
	</tr>
</table>

<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr height="17px">
		<td width="70px" align="left" class="Estilo19">&nbsp;</td>
		<td width="234px" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$vendedor?></td>
		<td width="40px" align="left" class="Estilo19">&nbsp;&nbsp;</td>
		<td width="356px" align="left" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
		</tr>
</table>

<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr height="24px">
		<td width="70px" align="left" class="Estilo19">&nbsp;</td>
		<td width="204px" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td width="40px" align="left" class="Estilo19">&nbsp;&nbsp;</td>
		<td width="386px" align="left" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
		</tr>
</table>

<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
	<tr height="42px">
		<td width="70px" align="left" class="Estilo19">&nbsp;</td>
		<td width="204px" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td width="40px" align="left" class="Estilo19">&nbsp;&nbsp;</td>
		<td width="386px" align="left" class="Estilo19">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
		</tr>
</table>

 


<?
for ($n=0;$n<$pnv_cont;$n++)
	{
	
?>	
<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
	<td width="66px%" align="left" class="Estilo18">&nbsp;<?=$cod_producto[$n]?></td>
	<td width="66px" align="left" class="Estilo18">&nbsp;<?=$cantidad[$n]?></td>
	<td width="365px" align="left" class="Estilo18">&nbsp;&nbsp;&nbsp;<?=$detalle[$n]?></td>
	<td width="88px" align="right" class="Estilo18"><?=number_format($precio[$n], 0, ',', '.')?>&nbsp;</td>
	<td width="115px" align="right" class="Estilo18">&nbsp;<?=number_format($ltotal[$n], 0, ',', '.')?>&nbsp;</td>
  </tr>
 <?   
  }  
 ?>  

  
  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
	<td align="left" class="Estilo18">&nbsp;<? if ($sqlnv_descuento!=0){ ?>&nbsp;&nbsp;Descuento<? } ?></td>
	<td align="right" class="Estilo18">&nbsp;</td>
	<td align="right" class="Estilo18">&nbsp;<?  if ($sqlnv_descuento!=0){ echo "$ ".  number_format($sqlnv_descuento, 0, ',', '.'); }?>&nbsp;&nbsp;&nbsp;</td>
  </tr>
</table>
<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
	<td width="63px" class="Estilo18">&nbsp;</td>
	<td width="440px" class="Estilo18">SON:&nbsp;<?=$letot1?></td>
	<td width="72px" align="right" class="Estilo18">NETO: </td>
	<td width="125px" align="right" class="Estilo18">$&nbsp;<?=number_format($neto, 0, ',', '.')?>&nbsp;&nbsp;&nbsp;</td>
  </tr>
  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;<?=$letot2?></td>
	<td align="right" class="Estilo18">IVA: </td>
	<td align="right" class="Estilo18">$&nbsp;<?=number_format($iva, 0, ',', '.')?>&nbsp;&nbsp;&nbsp;</td>
  </tr>
  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;<? if ($txtnumoc!='') { echo "Segun orden: ".$txtnumoc; }?></td>
	<td align="right" class="Estilo18">TOTAL: </td>
	<td align="right" class="Estilo18">$&nbsp;<?=number_format($total, 0, ',', '.')?>&nbsp;&nbsp;&nbsp;</td>
  </tr>
</table>
<table width="700px" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
	<td width="66px%" align="center" class="Estilo18">&nbsp;</td>
	<td width="66px" align="center" class="Estilo18">&nbsp;</td>
	<td width="365px" align="left" class="Estilo18">&nbsp;</td>
	<td width="88px" align="right" class="Estilo18">&nbsp;</td>
	<td width="115px" align="right" class="Estilo18">&nbsp;</td>
  </tr>

  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;&nbsp;&nbsp;TOTAL UNIDADES: <?=$totalunidades;?></td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
  </tr>
    <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;&nbsp;&nbsp;TOTAL KILOS: <?=$totalkilos;?></td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
  </tr>
  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;<?=$obs1;?></td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
  </tr>
  <tr>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;</td>
	<td class="Estilo18">&nbsp;<?=$obs2;?></td>
	<td class="Estilo18">&nbsp;</td>
	<td class="saltopagina">&nbsp;</td>
    
  </tr>
</table>

</body>
</html>

<?

//*************  fin  if verdadero
     }
 //&&&&&&&&&&&&&& fin ciclo por todas
   $notas+= 1;
     }
	?>

<script>
function fun_mail()
	{
	window.print();
	window.top.open('','_parent','');window.top.close();
	}
</script>

<script>
alert ("Fin factura por lote");
	window.top.open('','_parent','');window.top.close();
</script>    
	
